cURL
curl --request POST \
--url https://client-api.salesfinity.co/v1/webhooks \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"name": "<string>",
"url": "<string>",
"events": [],
"dispositions": [
123
]
}
'import requests
url = "https://client-api.salesfinity.co/v1/webhooks"
payload = {
"name": "<string>",
"url": "<string>",
"events": [],
"dispositions": [123]
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', url: '<string>', events: [], dispositions: [123]})
};
fetch('https://client-api.salesfinity.co/v1/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}Webhooks
Create Webhook
Create a new webhook
POST
/
v1
/
webhooks
cURL
Creates a new webhook subscription. Webhooks allow you to receive real-time HTTP POST notifications when specific events occur in your account.
Request Body
| Field | Type | Required | Description |
|---|---|---|---|
name | string | Yes | A descriptive name for the webhook |
url | string | Yes | The URL to receive webhook POST requests (must be a valid URL) |
events | string[] | Yes | Array of event types to subscribe to |
dispositions | number[] | No | Filter CALL_LOGGED events by disposition IDs. If provided, only calls with matching dispositions will trigger the webhook. |
Available Events
| Event | Description |
|---|---|
CALL_LOGGED | Triggered when a user logs a call, capturing relevant call details |
CONTACT_SNOOZED | Triggered when a contact is snoozed, capturing the contact and snooze details |
Example Request
{
"name": "CRM Call Sync",
"url": "https://example.com/webhooks/salesfinity",
"events": ["CALL_LOGGED"],
"dispositions": [1, 4]
}
Response (201)
Returns the created webhook object.{
"_id": "507f1f77bcf86cd799439011",
"name": "CRM Call Sync",
"url": "https://example.com/webhooks/salesfinity",
"events": ["CALL_LOGGED"],
"dispositions": [1, 4],
"status": "active",
"createdAt": "2024-01-15T10:00:00.000Z",
"updatedAt": "2024-01-15T10:00:00.000Z"
}
Authorizations
Body
application/json
Response
201 - application/json
Webhook created successfully
The response is of type object.
⌘I